# rpmkeyring.h File Reference

`#include <rpm/rpmtypes.h>`
`#include <rpm/rpmpgp.h>`
Include dependency graph for rpmkeyring.h:

Go to the source code of this file.

## Functions

rpmKeyring | rpmKeyringNew (void)
| Create a new, empty keyring.
rpmKeyring | rpmKeyringFree (rpmKeyring keyring)
| Free keyring and the keys within it.
int | rpmKeyringAddKey (rpmKeyring keyring, rpmPubkey key)
| Add a public key to keyring.
rpmRC | rpmKeyringLookup (rpmKeyring keyring, pgpDig sig)
| Perform keyring lookup for a key matching a signature.
rpmKeyring | rpmKeyringLink (rpmKeyring keyring)
| Reference a keyring.
rpmPubkey | rpmPubkeyNew (const uint8_t *pkt, size_t pktlen)
| Create a new rpmPubkey from OpenPGP packet.
rpmPubkey | rpmPubkeyRead (const char *filename)
| Create a new rpmPubkey from ASCII-armored pubkey file.
rpmPubkey | rpmPubkeyFree (rpmPubkey key)
| Free a pubkey.
rpmPubkey | rpmPubkeyLink (rpmPubkey key)
| Reference a pubkey.
pgpDig | rpmPubkeyDig (rpmPubkey key)
| Parse OpenPGP pubkey parameters.
char * | rpmPubkeyBase64 (rpmPubkey key)
| Return base64 encoding of pubkey.

## Detailed Description

Definition in file rpmkeyring.h.